Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class WorkState 'Munkafolyamatokat tartalmazó szabad bázis
    Inherits BaseObject
    Private _ShortName As String 'Megnevezés
    Private _Description As String 'Leírás
    Private _IsOperationalLog As Boolean

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        IsOperationalLog = False
    End Sub

    <RuleRequiredField("WorkState - ShortName", DefaultContexts.Save)> _
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    <RuleUniqueValue("WorkState - IsOperationalLog", DefaultContexts.Save)> _
    Property IsOperationalLog As Boolean
        Get
            Return _IsOperationalLog
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsOperationalLog", _IsOperationalLog, value)
        End Set
    End Property
End Class
